Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 254075 - NoSuchMethodException: org.netbeans.modules.debugger.jpda.js.FirstSourceURLProvider.<init>()
NoSuchMethodException: org.netbeans.modules.debugger.jpda.js.FirstSourceURLPr...
Status: RESOLVED FIXED
Product: debugger
Classification: Unclassified
Component: Code
8.0.1
All All
: P3 (vote)
: 8.1
Assigned To: Martin Entlicher
issues@debugger
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-02 15:36 UTC by lehel
Modified: 2015-08-14 01:22 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.62 KB, text/plain)
2015-08-02 15:36 UTC, lehel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description lehel 2015-08-02 15:36:34 UTC
Build: NetBeans IDE 8.1 Beta (Build 201507231027)
VM: Java HotSpot(TM) 64-Bit Server VM, 25.20-b23, Java(TM) SE Runtime Environment, 1.8.0_20-b26
OS: Windows 8

User Comments:
idclaar: This exception is now occuring during debugging sessions.  Not sure if it's connected, but the cursor isn't running to the breakpoints now.

GUEST: During test with Weblogic

GUEST: web development

lehel: Debugging web application:
- register oracle web logic server
- create new web application
- put some jsp code in index.jsp file
- put a breakpoint in jsp code
- debug application

GUEST: In java editor

GUEST: Debugging




Stacktrace: 
java.lang.NoSuchMethodException: org.netbeans.modules.debugger.jpda.js.FirstSourceURLProvider.<init>()
   at java.lang.Class.getConstructor0(Class.java:3069)
   at java.lang.Class.newInstance(Class.java:403)
   at org.netbeans.spi.debugger.ContextAwareSupport.createInstance(ContextAwareSupport.java:137)
   at org.netbeans.spi.debugger.jpda.SourcePathProvider$ContextAware.forContext(SourcePathProvider.java:178)
   at org.netbeans.spi.debugger.jpda.SourcePathProvider$ContextAware.forContext(SourcePathProvider.java:169)
   at org.netbeans.api.debugger.Lookup$MetaInf$MetaInfLookupList$LazyInstance.getEntry(Lookup.java:1078)
Comment 1 lehel 2015-08-02 15:36:37 UTC
Created attachment 155123 [details]
stacktrace
Comment 2 Vladimir Riha 2015-08-03 09:00:11 UTC
Martine, could you please evaluate? It is potential Beta stopper. Thank you
Comment 3 Martin Entlicher 2015-08-11 16:20:52 UTC
According to the report, this issue occurs in 8.0.1 and 8.0.2 as well.
Comment 4 Martin Entlicher 2015-08-11 16:56:12 UTC
lehel, thanks for the steps to reproduce.
Comment 5 Martin Entlicher 2015-08-12 10:12:14 UTC
Fixed by changeset:   290755:087804a2d968
http://hg.netbeans.org/core-main/rev/087804a2d968
Comment 6 Quality Engineering 2015-08-14 01:22:24 UTC
Integrated into 'main-silver', will be available in build *201508140002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/087804a2d968
User: mentlicher@netbeans.org
Log: #254075: Perform the lookup on the current context provider.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo